| Home | Libraries | People | FAQ | More

## Function template erase_first

boost::algorithm::erase_first — Erase first algorithm.

## Synopsis

    template<typename SequenceT, typename CollectionT>
      void erase_first(SequenceT & Input, const CollectionT & Search);

## Description

Remove the first occurence of the substring from the input. The input sequence is modified in-place.

Parameters

Input

  An input string

Search

  A substring to be searched for.

| Copyright © 2002-2004 Pavol Droba